For the complete documentation index, see llms.txt. This page is also available as Markdown.

Suspensions

User account suspensions and restrictions.

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
startDateTimestring · date-timeOptionalExample: 2024-04-01T22:30:00.000Z
endDateTimestring · date-timeOptionalExample: 2024-04-12T22:30:00.000Z
statusstring · enumOptionalExample: ACTIVEPossible values:
regionIdstring[]OptionalExample: ["new-york"]
pagenumberOptionalExample: 1
ippnumberOptionalExample: 30
sortstringOptional

If not set, sort will be defaulted as startTime (ASC)

Example: -startTime
podIdstring[]OptionalExample: 42-allen
Responses
200

Returns an EventSuspensionPaginatedCollectionDto

application/json
_totalnumberRead-onlyRequired
get/suspensions
GET /apis/v2/suspensions HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns an EventSuspensionPaginatedCollectionDto

{
  "items": [
    {
      "id": "text",
      "type": "PREVIEW",
      "suspendedEvents": {
        "items": [
          {
            "id": "text",
            "event": {
              "id": "text"
            },
            "action": "REFUND",
            "status": "INVALID",
            "errors": [
              {
                "code": "text",
                "message": "text",
                "details": {}
              }
            ],
            "_links": {}
          }
        ],
        "_total": 1,
        "_links": {
          "self": {
            "href": "text"
          }
        }
      },
      "pod": {
        "id": "text"
      },
      "startTime": "2026-01-01T00:00:00.000Z",
      "endTime": "2026-01-01T00:00:00.000Z",
      "status": "INVALID",
      "errors": [
        {
          "code": "text",
          "message": "text",
          "details": {}
        }
      ],
      "_links": {}
    }
  ],
  "_pagination": {
    "page": 1,
    "ipp": 1,
    "count": 1,
    "total": 1
  },
  "_total": 1,
  "_links": {
    "self": {
      "href": "text"
    }
  }
}
post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
idstring · nullableRead-onlyOptional
typestring · enumRequiredPossible values:
startTimestring · date-timeRequired
endTimestring · date-timeRequired
statusstring · enum · nullableRead-onlyRequiredPossible values:
_linksobjectRead-onlyRequired
Responses
201

Returns an SuspensionDto

application/json
idstring · nullableRead-onlyOptional
typestring · enumRequiredPossible values:
startTimestring · date-timeRequired
endTimestring · date-timeRequired
statusstring · enum · nullableRead-onlyRequiredPossible values:
_linksobjectRead-onlyRequired
post/suspensions
POST /apis/v2/suspensions HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 186

{
  "type": "PREVIEW",
  "suspendedEvents": {
    "items": [
      {
        "event": {
          "id": "text"
        },
        "action": "REFUND"
      }
    ]
  },
  "pod": {
    "id": "text"
  },
  "startTime": "2026-01-01T00:00:00.000Z",
  "endTime": "2026-01-01T00:00:00.000Z"
}
{
  "id": "text",
  "type": "PREVIEW",
  "suspendedEvents": {
    "items": [
      {
        "id": "text",
        "event": {
          "id": "text"
        },
        "action": "REFUND",
        "status": "INVALID",
        "errors": [
          {
            "code": "text",
            "message": "text",
            "details": {}
          }
        ],
        "_links": {}
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "pod": {
    "id": "text"
  },
  "startTime": "2026-01-01T00:00:00.000Z",
  "endTime": "2026-01-01T00:00:00.000Z",
  "status": "INVALID",
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ],
  "_links": {}
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
suspensionIdstringRequiredExample: e8e4d851-59b7-4a13-be6c-128d2aafeb35
Query parameters
expandstring[]OptionalExample: ["items._links.event"]
Responses
200

Returns an SuspensionDto

application/json
idstring · nullableRead-onlyOptional
typestring · enumRequiredPossible values:
startTimestring · date-timeRequired
endTimestring · date-timeRequired
statusstring · enum · nullableRead-onlyRequiredPossible values:
_linksobjectRead-onlyRequired
get/suspensions/{suspensionId}
GET /apis/v2/suspensions/{suspensionId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "text",
  "type": "PREVIEW",
  "suspendedEvents": {
    "items": [
      {
        "id": "text",
        "event": {
          "id": "text"
        },
        "action": "REFUND",
        "status": "INVALID",
        "errors": [
          {
            "code": "text",
            "message": "text",
            "details": {}
          }
        ],
        "_links": {}
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "pod": {
    "id": "text"
  },
  "startTime": "2026-01-01T00:00:00.000Z",
  "endTime": "2026-01-01T00:00:00.000Z",
  "status": "INVALID",
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ],
  "_links": {}
}
patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
suspensionIdstringRequiredExample: e8e4d851-59b7-4a13-be6c-128d2aafeb35
Body
typestring · enumRequiredPossible values:
endTimestring · date-timeRequired
Responses
200

Returns an EventSuspensionCollectionDto

application/json
_totalnumberRead-onlyRequired
patch/suspensions/{suspensionId}
PATCH /apis/v2/suspensions/{suspensionId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 127

{
  "type": "PREVIEW",
  "suspendedEvents": {
    "items": [
      {
        "event": {
          "id": "text"
        },
        "action": "REFUND"
      }
    ]
  },
  "endTime": "2026-01-01T00:00:00.000Z"
}
{
  "items": [
    {
      "id": "text",
      "type": "PREVIEW",
      "suspendedEvents": {
        "items": [
          {
            "id": "text",
            "event": {
              "id": "text"
            },
            "action": "REFUND",
            "status": "INVALID",
            "errors": [
              {
                "code": "text",
                "message": "text",
                "details": {}
              }
            ],
            "_links": {}
          }
        ],
        "_total": 1,
        "_links": {
          "self": {
            "href": "text"
          }
        }
      },
      "pod": {
        "id": "text"
      },
      "startTime": "2026-01-01T00:00:00.000Z",
      "endTime": "2026-01-01T00:00:00.000Z",
      "status": "INVALID",
      "errors": [
        {
          "code": "text",
          "message": "text",
          "details": {}
        }
      ],
      "_links": {}
    }
  ],
  "_total": 1,
  "_links": {
    "self": {
      "href": "text"
    }
  }
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
suspensionIdstringRequiredExample: e8e4d851-59b7-4a13-be6c-128d2aafeb35
Query parameters
pagenumberOptionalExample: 1
ippnumberOptionalExample: 30
expandstring[]OptionalExample: ["items._links.event"]
Responses
200

Returns an EventSuspensionCollectionDto

application/json
_totalnumberRequired
get/suspensions/{suspensionId}/events
GET /apis/v2/suspensions/{suspensionId}/events HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "items": [
    {
      "id": "text",
      "event": {
        "id": "text"
      },
      "action": "REFUND",
      "status": "INVALID",
      "errors": [
        {
          "code": "text",
          "message": "text",
          "details": {}
        }
      ],
      "_links": {}
    }
  ],
  "_pagination": {
    "page": 1,
    "ipp": 1,
    "count": 1,
    "total": 1
  },
  "_total": 1,
  "_links": {
    "self": {
      "href": "text"
    }
  }
}
post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
suspensionIdstringRequiredExample: e8e4d851-59b7-4a13-be6c-128d2aafeb35
Responses
201

Returns an SuspensionDto

application/json
idstring · nullableRead-onlyOptional
typestring · enumRequiredPossible values:
startTimestring · date-timeRequired
endTimestring · date-timeRequired
statusstring · enum · nullableRead-onlyRequiredPossible values:
_linksobjectRead-onlyRequired
post/suspensions/{suspensionId}/cancellation
POST /apis/v2/suspensions/{suspensionId}/cancellation HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "text",
  "type": "PREVIEW",
  "suspendedEvents": {
    "items": [
      {
        "id": "text",
        "event": {
          "id": "text"
        },
        "action": "REFUND",
        "status": "INVALID",
        "errors": [
          {
            "code": "text",
            "message": "text",
            "details": {}
          }
        ],
        "_links": {}
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "pod": {
    "id": "text"
  },
  "startTime": "2026-01-01T00:00:00.000Z",
  "endTime": "2026-01-01T00:00:00.000Z",
  "status": "INVALID",
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ],
  "_links": {}
}

Last updated

Was this helpful?